edns_rr_struct Struct Reference

`#include <edns.h>`

## Data Fields

edns_status | status
size_t | position
size_t | maxlen
int | dnssec_ok

## Detailed Description

Definition at line 76 of file edns.h.

## Field Documentation

## dnssec_ok

int edns_rr_struct::dnssec_ok

Definition at line 80 of file edns.h.

Referenced by edns_rr_parse(), edns_rr_reset(), and query_add_optional().

## maxlen

size_t edns_rr_struct::maxlen

Definition at line 79 of file edns.h.

Referenced by edns_rr_parse(), and edns_rr_reset().

## position

size_t edns_rr_struct::position

Definition at line 78 of file edns.h.

Referenced by edns_rr_parse(), and edns_rr_reset().

## status

edns_status edns_rr_struct::status

Definition at line 77 of file edns.h.

Referenced by axfr(), edns_rr_parse(), edns_rr_reserved_space(), edns_rr_reset(), and query_add_optional().

The documentation for this struct was generated from the following file:

- src/wire/edns.h